<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>503.70</title>
</head>
<script>
    //test1
    console.log("test1: ");
    var names = ["alpha", "beta", "gamma", "delta"];
    let [a, b] = names
    console.log(a);
    console.log(b);

    //test2
    console.log("test2: ");
    let [a2, b2, c2] = names
    console.log(a2);
    console.log(c2);

    //test3
    console.log("test3: ");
    let [a3, b3, ...c3] = names
    console.log(a3);
    console.log(...c3);


    //test 4 
    //test 5 6 
    console.log("test4 5 : ");
    const marks = {
        section1: { alpha: 15, beta: 16 },
        section2: { alpha: -31, beta: 19 }
    };

    let { section1, section2 } = marks;
    console.log(section1)
    console.log(section2)
  let {alpha,beta} = section1;
    
    console.log(alpha)
    //test 6:
    var marks2 = {x: 21, y: -34, z: 47 }; 
    let { x, y, z} = marks2
    console.log(y)
  
</script>

</html>